### Method

# WebKit2 WebContext get_favicon_database_directory

#### Declaration [src]

    const gchar*
    webkit_web_context_get_favicon_database_directory (
      WebKitWebContext* context
    )

#### Description [src]

Get the directory path to store the favicons database.

Get the directory path being used to store the favicons database for `context`, or `NULL` if `webkit_web_context_set_favicon_database_directory()` hasn’t been called yet.

This function will always return the same path after having called `webkit_web_context_set_favicon_database_directory()` for the first time.

#### Return value

Returns: | `const gchar*`
| The path of the directory of the favicons database associated with `context`, or `NULL`.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.